Subject: Re: bug#2749: 23.0.91; Visual Line Mode: incorrect line wrapping in corner case

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Mar 2009 21:35:02 -0400

> This behavior is expected.  The word wrap algorithm treats lines that
> are too long to wrap using the ordinary line-wrapping rules, and since
> overflow-newline-into-fringe is disabled in Visual Line mode, the extra
> empty line is used to show the non-overflowed newline character.

> After the release, I might look into letting word wrap handle
> overflow-newline-into-fringe behavior.  I suspect, however, that this
> may lead to confusing results in some circumstances.

BTW: why is overflow-newline-into-fringe ignored when word-wrap is
non-nil?  What kind of confusing results are you thinking of?

        Stefan